Bug 1305335 - Review Request: R-Rcpp - Seamless R and C++ Integration
Review Request: R-Rcpp - Seamless R and C++ Integration
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
:
Depends On: 1305333 1305334 1310453
Blocks: 1305336
  Show dependency treegraph
 
Reported: 2016-02-07 04:51 EST by Mattias Ellert
Modified: 2016-03-14 15:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-04 20:20:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nonamedotc: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2016-02-07 04:51:21 EST
Spec URL: http://www.grid.tsl.uu.se/review/R-Rcpp.spec
SRPM URL: http://www.grid.tsl.uu.se/review/R-Rcpp-0.12.3-1.fc24.src.rpm

Description:
The Rcpp package provides R functions as well as C++ classes which
offer a seamless integration of R and C++. Many R data types and
objects can be mapped back and forth to C++ equivalents which
facilitates both writing of new code as well as easier integration of
third-party libraries.
Documentation about Rcpp is provided by several vignettes included in
this package, via the Rcpp Gallery site at http://gallery.rcpp.org,
the paper by Eddelbuettel and Francois (2011, JSS), and the book by
Eddelbuettel (2013, Springer).
See citation("Rcpp") for details on the last two.

Fedora Account System Username: ellert
Comment 1 Upstream Release Monitoring 2016-02-15 20:55:51 EST
nonamedotc's scratch build of R-Rcpp-0.12.3-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13000814
Comment 2 Mukundan Ragavan 2016-02-16 21:43:42 EST
Complete review below - not too many issues here.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


---> Non-issue. Installs fine.

# rpm -q R-Rcpp
R-Rcpp-0.12.3-1.fc24.x86_64


- Package have the default element marked as %%doc :doc, DESCRIPTION,
  CITATION

---> This looks fine. Already discussed before (bz#1305333, bz#1305334

- Header files in -devel subpackage, if present.
  Note: R-Rcpp : /usr/lib64/R/library/Rcpp/skeleton/rcpp_hello_world.h 

---> What about this file? Looking at the contents, this sounds like something that is appropriate in the main package. Please verify.

  R-Rcpp-examples :
  /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve10_cpp.h 
  R-Rcpp-examples :
  /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/loopmacro.h R-Rcpp-
  examples : /usr/lib64/R/library/Rcpp/examples/SugarPerformance/Timer.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

---> These two I do not have an issue with. Clearly they are examples and belong here.

- Package requires R-core.

---> This looks good. Has arch specific requires.

- Package contains the mandatory BuildRequires.
  Note: Missing BuildRequires on R-devel, tex(latex)
  See: http://fedoraproject.org/wiki/Packaging:R


---> Non issue. Already discussed before.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSL", "BSL (v1.0)", "GPL (v2 or later)", "Unknown or
     generated". 96 files have unknown license. Detailed output of
     licensecheck in
     /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/licensecheck.txt


---> Multiple licenses must be mentioned in spec file.

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios

from licensecheck - 


BSL
---
R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/utils/tinyformat.h

BSL (v1.0)
----------
R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/macros/cat.hpp
R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/macros/config.hpp

GPL (v2 or later)
-----------------
R-Rcpp-0.12.3/Rcpp/inst/examples/SugarPerformance/Timer.h
R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp.h
R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/Benchmark/Timer.h
R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/DataFrame.h
R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/Date.h
R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/DateVector.h
[.....]

Change spec file to 

License:	GPLv2+ and BSL


[-]: License file installed when any subpackage combination is installed.

---> Not present in upstream tarball. Perhaps you should bring it to their attention. You can include the license if you wish.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: The package has the standard %install section.

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     ftp://cran.r-project.org/pub/R/contrib/main/Rcpp_0.12.3.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags

---> local issue again. Everything is fine.

Changing to [x].

[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

---> Please see my comment above.

[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in R-Rcpp-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.

---> However, please see my comment above and

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 0.12.3, packaged version is 0.12.3

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

---> This k=just keeps happening here. But, I can install the package no problem.

# rpm -q R-Rcpp
R-Rcpp-0.12.3-1.fc24.x86_64

Changed to [x].

[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-0.12.3-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-devel-0.12.3-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-examples-0.12.3-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-debuginfo-0.12.3-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-debuginfo-0.12.3-1.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-0.12.3-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-devel-0.12.3-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-examples-0.12.3-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-debuginfo-0.12.3-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-debuginfo-0.12.3-1.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: R-Rcpp-0.12.3-1.fc24.x86_64.rpm
          R-Rcpp-devel-0.12.3-1.fc24.x86_64.rpm
          R-Rcpp-examples-0.12.3-1.fc24.x86_64.rpm
          R-Rcpp-debuginfo-0.12.3-1.fc24.x86_64.rpm
          R-Rcpp-0.12.3-1.fc24.src.rpm
R-Rcpp.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/skeleton/stdVector.cpp
R-Rcpp.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/skeleton/rcpp_hello_world.h
R-Rcpp.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/skeleton/rcpp_module.cpp
R-Rcpp.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/skeleton/rcpp_hello_world.cpp
R-Rcpp.x86_64: E: non-executable-script /usr/lib64/R/library/Rcpp/discovery/cxx0x.R 644 /bin/env

---> Please check/clarify these ...

R-Rcpp.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/skeleton/Num.cpp
R-Rcpp.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/skeleton/rcpp_hello_world_attributes.cpp
R-Rcpp-devel.x86_64: W: only-non-binary-in-usr-lib
R-Rcpp-devel.x86_64: W: no-documentation
R-Rcpp-examples.x86_64: W: only-non-binary-in-usr-lib
R-Rcpp-examples.x86_64: W: no-documentation
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/Attributes/Depends.cpp
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve8_cpp.cpp
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve14_cpp.cpp
R-Rcpp-examples.x86_64: E: non-executable-script /usr/lib64/R/library/Rcpp/examples/Misc/ifelseLooped.r 644 /usr/bin/r
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve13_cpp.cpp
R-Rcpp-examples.x86_64: E: non-executable-script /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/overhead.r 644 /usr/bin/r
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/overhead_2.c
R-Rcpp-examples.x86_64: E: non-executable-script /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/overhead.sh 644 /bin/bash
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/SugarPerformance/Timer.h
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/OpenMP/piWithInterrupts.cpp
R-Rcpp-examples.x86_64: E: non-executable-script /usr/lib64/R/library/Rcpp/examples/Misc/newFib.r 644 /usr/bin/r
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve12_cpp.cpp
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve2_c.c
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/overhead_1.cpp
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve11_cpp.cpp
R-Rcpp-examples.x86_64: E: non-executable-script /usr/lib64/R/library/Rcpp/examples/OpenMP/OpenMPandInline.r 644 /usr/bin/r
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/loopmacro.h
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/Attributes/Export.cpp
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/SugarPerformance/Timertest.cpp
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve4_cpp.cpp
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve7_c.c
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve10_cpp.h
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/Misc/piSugar.cpp
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve3_cpp.cpp
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve5_cpp.cpp
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve9_cpp.cpp
R-Rcpp-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/Rcpp/examples/ConvolveBenchmarks/convolve10_cpp.cpp
R-Rcpp.src: W: invalid-url Source0: ftp://cran.r-project.org/pub/R/contrib/main/Rcpp_0.12.3.tar.gz <urlopen error ftp error: timeout('timed out',)>
5 packages and 0 specfiles checked; 6 errors, 33 warnings.


---> Most of the examples rpmlint messages can be ignored.


Requires
--------
R-Rcpp-debuginfo (rpmlib, GLIBC filtered):

R-Rcpp-examples (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/r
    R-Rcpp(x86-64)

R-Rcpp (rpmlib, GLIBC filtered):
    R-core(x86-64)
    libR.so()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

R-Rcpp-devel (rpmlib, GLIBC filtered):
    R-Rcpp(x86-64)
    R-core-devel(x86-64)



Provides
--------
R-Rcpp-debuginfo:
    R-Rcpp-debuginfo
    R-Rcpp-debuginfo(x86-64)

R-Rcpp-examples:
    R-Rcpp-examples
    R-Rcpp-examples(x86-64)

R-Rcpp:
    R-Rcpp
    R-Rcpp(x86-64)

R-Rcpp-devel:
    R-Rcpp-devel
    R-Rcpp-devel(x86-64)



Unversioned so-files
--------------------
R-Rcpp: /usr/lib64/R/library/Rcpp/libs/Rcpp.so

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1305335
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, R, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Mattias Ellert 2016-02-18 12:32:51 EST
(In reply to Mukundan Ragavan from comment #2)
> Complete review below - not too many issues here.
> 
> Package Review
> ==============
> 
> - Package have the default element marked as %%doc :doc, DESCRIPTION,
>   CITATION
> 
> ---> This looks fine. Already discussed before (bz#1305333, bz#1305334

Both DESCRIPTION and CITATION are used at runtime - should not be %doc.

> - Header files in -devel subpackage, if present.
>   Note: R-Rcpp : /usr/lib64/R/library/Rcpp/skeleton/rcpp_hello_world.h 
> 
> ---> What about this file? Looking at the contents, this sounds like
> something that is appropriate in the main package. Please verify.

This file is read from inside the code, e.g. Rcpp/R/Rcpp.package.skeleton.R line 156:
header <- readLines(file.path(skeleton, "rcpp_hello_world.h"))

> ===== MUST items =====
> 
> Generic:
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "BSL", "BSL (v1.0)", "GPL (v2 or later)", "Unknown or
>      generated". 96 files have unknown license. Detailed output of
>      licensecheck in
>     
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/licensecheck.txt
> 
> 
> ---> Multiple licenses must be mentioned in spec file.
> 
> from licensecheck - 
> 
> 
> BSL
> ---
> R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/utils/tinyformat.h
> 
> BSL (v1.0)
> ----------
> R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/macros/cat.hpp
> R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/macros/config.hpp
> 
> GPL (v2 or later)
> -----------------
> R-Rcpp-0.12.3/Rcpp/inst/examples/SugarPerformance/Timer.h
> R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp.h
> R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/Benchmark/Timer.h
> R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/DataFrame.h
> R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/Date.h
> R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/DateVector.h
> [.....]
> 
> Change spec file to 
> 
> License:	GPLv2+ and BSL

Thank you for this one.
License tag changed to "GPLv2+ and Boost".

According to https://fedoraproject.org/wiki/Licensing:Main#Good_Licenses the proper tag for the Boost Software License is "Boost", not "BSL".

> ===== EXTRA items =====
> 
> Generic:
> [!]: Rpmlint is run on all installed packages.
>      Note: Mock build failed
>      See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
> 
> ---> This k=just keeps happening here. But, I can install the package no
> problem.
> 
> Installation errors
> -------------------
> INFO: installing package(s):
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-
> 0.12.3-1.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-
> devel-0.12.3-1.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-
> examples-0.12.3-1.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-
> debuginfo-0.12.3-1.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-
> debuginfo-0.12.3-1.fc24.x86_64.rpm
> ERROR: Command failed. See logs for output.
>  # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/
> --releasever 24 --setopt=deltarpm=false install
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-
> 0.12.3-1.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-
> devel-0.12.3-1.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-
> examples-0.12.3-1.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-
> debuginfo-0.12.3-1.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/results/R-Rcpp-
> debuginfo-0.12.3-1.fc24.x86_64.rpm --setopt=tsflags=nocontexts

This is the known bug in fedora-review I mentioned earlier (Bug 1264803).
As you can see the debuginfo package is listed twice in the list of packages to be installed, and dnf refuses to make the install due to this duplication.
This affects all reviews that have a debuginfo package.

> Rpmlint
> -------
> Checking: R-Rcpp-0.12.3-1.fc24.x86_64.rpm
>           R-Rcpp-devel-0.12.3-1.fc24.x86_64.rpm
>           R-Rcpp-examples-0.12.3-1.fc24.x86_64.rpm
>           R-Rcpp-debuginfo-0.12.3-1.fc24.x86_64.rpm
>           R-Rcpp-0.12.3-1.fc24.src.rpm
> R-Rcpp.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/R/library/Rcpp/skeleton/stdVector.cpp
> R-Rcpp.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/R/library/Rcpp/skeleton/rcpp_hello_world.h
> R-Rcpp.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/R/library/Rcpp/skeleton/rcpp_module.cpp
> R-Rcpp.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/R/library/Rcpp/skeleton/rcpp_hello_world.cpp
> R-Rcpp.x86_64: E: non-executable-script
> /usr/lib64/R/library/Rcpp/discovery/cxx0x.R 644 /bin/env
> 
> ---> Please check/clarify these ...
> 
> R-Rcpp.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/R/library/Rcpp/skeleton/Num.cpp
> R-Rcpp.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/R/library/Rcpp/skeleton/rcpp_hello_world_attributes.cpp

The R-Rcpp package is used to integrate C++ code with R. To simplify this task the package provides a skeleton feature, which creates a template C++ code that you can use a the starting point for your C++ integration. The source files in the skeleton directory are used by this feature. So they are not part of the source code that is compiled to create the R-Rcpp package itself, but datafiles needed by one of the features the package provides.


The broken thumbpdf has been fixed in Fedora 23:
https://bodhi.fedoraproject.org/updates/FEDORA-2016-0e583ec035

So I now only disable it for Fedora 22.

Updated package:

Spec URL: http://www.grid.tsl.uu.se/review/R-Rcpp.spec
SRPM URL: http://www.grid.tsl.uu.se/review/R-Rcpp-0.12.3-2.fc24.src.rpm
Comment 4 Mukundan Ragavan 2016-02-18 20:24:24 EST
(In reply to Mattias Ellert from comment #3)
> (In reply to Mukundan Ragavan from comment #2)
> > Complete review below - not too many issues here.
> > 
> > Package Review
> > ==============
> > 
> > - Package have the default element marked as %%doc :doc, DESCRIPTION,
> >   CITATION
> > 
> > ---> This looks fine. Already discussed before (bz#1305333, bz#1305334
> 
> Both DESCRIPTION and CITATION are used at runtime - should not be %doc.
> 

Right! That's exactly what I was pointing to! perfect.

> > - Header files in -devel subpackage, if present.
> >   Note: R-Rcpp : /usr/lib64/R/library/Rcpp/skeleton/rcpp_hello_world.h 
> > 
> > ---> What about this file? Looking at the contents, this sounds like
> > something that is appropriate in the main package. Please verify.
> 
> This file is read from inside the code, e.g. Rcpp/R/Rcpp.package.skeleton.R
> line 156:
> header <- readLines(file.path(skeleton, "rcpp_hello_world.h"))
> 

Sounds good!

> > ===== MUST items =====
> > 
> > Generic:
> > [!]: License field in the package spec file matches the actual license.
> >      Note: Checking patched sources after %prep for licenses. Licenses
> >      found: "BSL", "BSL (v1.0)", "GPL (v2 or later)", "Unknown or
> >      generated". 96 files have unknown license. Detailed output of
> >      licensecheck in
> >     
> > /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305335-R-Rcpp/licensecheck.txt
> > 
> > 
> > ---> Multiple licenses must be mentioned in spec file.
> > 
> > from licensecheck - 
> > 
> > 
> > BSL
> > ---
> > R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/utils/tinyformat.h
> > 
> > BSL (v1.0)
> > ----------
> > R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/macros/cat.hpp
> > R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/macros/config.hpp
> > 
> > GPL (v2 or later)
> > -----------------
> > R-Rcpp-0.12.3/Rcpp/inst/examples/SugarPerformance/Timer.h
> > R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp.h
> > R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/Benchmark/Timer.h
> > R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/DataFrame.h
> > R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/Date.h
> > R-Rcpp-0.12.3/Rcpp/inst/include/Rcpp/DateVector.h
> > [.....]
> > 
> > Change spec file to 
> > 
> > License:	GPLv2+ and BSL
> 
> Thank you for this one.
> License tag changed to "GPLv2+ and Boost".
> 
> According to https://fedoraproject.org/wiki/Licensing:Main#Good_Licenses the
> proper tag for the Boost Software License is "Boost", not "BSL".
> 


Thanks for fixing this!

This is resolved.

 
> > Rpmlint
> > -------
> > Checking: R-Rcpp-0.12.3-1.fc24.x86_64.rpm
> >           R-Rcpp-devel-0.12.3-1.fc24.x86_64.rpm
> >           R-Rcpp-examples-0.12.3-1.fc24.x86_64.rpm
> >           R-Rcpp-debuginfo-0.12.3-1.fc24.x86_64.rpm
> >           R-Rcpp-0.12.3-1.fc24.src.rpm
> > R-Rcpp.x86_64: W: devel-file-in-non-devel-package
> > /usr/lib64/R/library/Rcpp/skeleton/stdVector.cpp
> > R-Rcpp.x86_64: W: devel-file-in-non-devel-package
> > /usr/lib64/R/library/Rcpp/skeleton/rcpp_hello_world.h
> > R-Rcpp.x86_64: W: devel-file-in-non-devel-package
> > /usr/lib64/R/library/Rcpp/skeleton/rcpp_module.cpp
> > R-Rcpp.x86_64: W: devel-file-in-non-devel-package
> > /usr/lib64/R/library/Rcpp/skeleton/rcpp_hello_world.cpp
> > R-Rcpp.x86_64: E: non-executable-script
> > /usr/lib64/R/library/Rcpp/discovery/cxx0x.R 644 /bin/env
> > 
> > ---> Please check/clarify these ...
> > 
> > R-Rcpp.x86_64: W: devel-file-in-non-devel-package
> > /usr/lib64/R/library/Rcpp/skeleton/Num.cpp
> > R-Rcpp.x86_64: W: devel-file-in-non-devel-package
> > /usr/lib64/R/library/Rcpp/skeleton/rcpp_hello_world_attributes.cpp
> 
> The R-Rcpp package is used to integrate C++ code with R. To simplify this
> task the package provides a skeleton feature, which creates a template C++
> code that you can use a the starting point for your C++ integration. The
> source files in the skeleton directory are used by this feature. So they are
> not part of the source code that is compiled to create the R-Rcpp package
> itself, but datafiles needed by one of the features the package provides.
> 

Thanks for the explanation. This sounds good.
Comment 5 Mukundan Ragavan 2016-02-18 20:26:20 EST
The updated spec looks good to me.

Package APPROVED. Please submit SCM requeston pkgdb. 

One more to go!
Comment 6 Gwyn Ciesla 2016-02-19 06:37:22 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/R-Rcpp
Comment 7 Fedora Update System 2016-02-19 08:51:42 EST
R-Rcpp-0.12.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b55f0bcc50
Comment 8 Fedora Update System 2016-02-19 08:51:44 EST
R-Rcpp-0.12.3-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d74f736f60
Comment 9 Fedora Update System 2016-02-19 08:51:45 EST
R-Rcpp-0.12.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b55f0bcc50
Comment 10 Fedora Update System 2016-02-21 12:59:02 EST
R-Rcpp-0.12.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b55f0bcc50
Comment 11 Fedora Update System 2016-02-21 13:28:10 EST
R-Rcpp-0.12.3-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d74f736f60
Comment 12 Mattias Ellert 2016-02-21 14:47:05 EST
Hi!

A small dependency issue has arisen with the R-Rcpp-examples package.

The package Requires /usr/bin/r, autogenerated from a #!/usr/bin/r shebang.

I assumed that this was the main R binary provided by the R-core package. But the R binary is called /usr/bin/R which is not the same thing.

My next thought was that this was misspelt and really should be /usr/bin/R, but it really should be /usr/bin/r, which is not yout in Fedora.

To resolve this I submitted a new review bug #1310453.
Comment 13 Fedora Update System 2016-02-23 16:53:33 EST
R-RInside-0.2.13-1.fc23 R-Rcpp-0.12.3-3.fc23 R-littler-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b55f0bcc50
Comment 14 Fedora Update System 2016-02-23 16:58:15 EST
R-RInside-0.2.13-1.fc22 R-Rcpp-0.12.3-3.fc22 R-littler-0.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d74f736f60
Comment 15 Fedora Update System 2016-02-23 17:07:56 EST
R-RInside-0.2.13-1.el7 R-Rcpp-0.12.3-3.el7 R-littler-0.3.0-1.el7 R-inline-0.3.14-1.el7 R-highlight-0.4.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad155732b
Comment 16 Fedora Update System 2016-02-23 17:07:58 EST
R-RInside-0.2.13-1.el6 R-Rcpp-0.12.3-3.el6 R-littler-0.3.0-1.el6 R-inline-0.3.14-1.el6 R-highlight-0.4.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-359b7ddb9a
Comment 17 Fedora Update System 2016-02-25 05:53:33 EST
R-RInside-0.2.13-1.fc22, R-Rcpp-0.12.3-3.fc22, R-littler-0.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d74f736f60
Comment 18 Fedora Update System 2016-02-25 08:18:01 EST
R-RInside-0.2.13-1.el6, R-Rcpp-0.12.3-3.el6, R-highlight-0.4.7-1.el6, R-inline-0.3.14-1.el6, R-littler-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-359b7ddb9a
Comment 19 Fedora Update System 2016-02-25 08:21:05 EST
R-RInside-0.2.13-1.el7, R-Rcpp-0.12.3-3.el7, R-highlight-0.4.7-1.el7, R-inline-0.3.14-1.el7, R-littler-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad155732b
Comment 20 Fedora Update System 2016-02-25 21:26:00 EST
R-RInside-0.2.13-1.fc23, R-Rcpp-0.12.3-3.fc23, R-littler-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b55f0bcc50
Comment 21 Fedora Update System 2016-03-04 20:20:23 EST
R-RInside-0.2.13-1.fc22, R-Rcpp-0.12.3-3.fc22, R-littler-0.3.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2016-03-05 01:24:01 EST
R-RInside-0.2.13-1.fc23, R-Rcpp-0.12.3-3.fc23, R-littler-0.3.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-03-12 14:58:43 EST
R-RInside-0.2.13-1.el7, R-Rcpp-0.12.3-3.el7, R-highlight-0.4.7-1.el7, R-inline-0.3.14-1.el7, R-littler-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-03-14 15:25:51 EDT
R-RInside-0.2.13-1.el6, R-Rcpp-0.12.3-3.el6, R-highlight-0.4.7-1.el6, R-inline-0.3.14-1.el6, R-littler-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.